/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "operator.pmh"
#include "platform/dlCore.cc"

using namespace fe;

extern "C"
{

FE_DL_EXPORT void ListDependencies(List<String*>& list)
{
	list.append(new String("feSignalDL"));
}

FE_DL_EXPORT Library* CreateLibrary(sp<Master> spMaster)
{
	assertMath(spMaster->typeMaster());

	Library *pLibrary = new Library();
	pLibrary->add<DrawTestOp>(
			"OperatorSurfaceI.DrawTestOp.fe");
	pLibrary->add<SurfaceAttrCreateOp>(
			"OperatorSurfaceI.SurfaceAttrCreateOp.fe");
	pLibrary->add<SurfaceCopyOp>(
			"OperatorSurfaceI.SurfaceCopyOp.fe");
	pLibrary->add<SurfaceCurveOp>(
			"OperatorSurfaceI.SurfaceCurveOp.fe");
	pLibrary->add<SurfaceSummaryOp>(
			"OperatorSurfaceI.SurfaceSummaryOp.fe");
	pLibrary->add<SurfaceWaveOp>(
			"OperatorSurfaceI.SurfaceWaveOp.fe");
	return pLibrary;
}

}
