import sys
forge = sys.modules["forge"]

def setup(module):
	deplibs = [	"fePlatformLib",
				"feMemoryLib",
				"feCoreLib" ]

	tests = [	'xList',
				'xAllocation',
				'xType',
				'xCounted',
				'xHandled',
				'xInstanceMap',
				'xInitialized',
				'xMutex',
				'xNamedArg',
				'xProfiler',
				'xProtect',
				'xTypeMaster',
				'xVariant' ]

	if forge.fe_os == 'FE_WIN32' or forge.fe_os == 'FE_WIN64':
			deplibs += [ "feImportMemoryLib" ]

	for t in tests:
		module.Exe(t)
		forge.deps([t + "Exe"], deplibs)

	forge.tests += [
		("xList.exe",			"",			None,		None),
		("xMutex.exe",			"",			None,		None),
		("xCounted.exe",		"",			None,		None),
		("xAllocation.exe",		"",			None,		None),
		("xHandled.exe",		"",			None,		None),
		("xInstanceMap.exe",	"",			None,		None),
		("xNamedArg.exe",		"",			None,		None),
		("xProfiler.exe",		"100",		None,		None),
		("xProtect.exe",		"",			None,		None),
		("xInitialized.exe",	"",			None,		None),
		("xVariant.exe",		"",			None,		None),
		("xType.exe",			"",			None,		None),
		("xTypeMaster.exe",		"",			None,		None) ]

